#ifndef GST_GridCrudeFeature_h__
#define GST_GridCrudeFeature_h__

#include "Client/ClientUtils/Network/NetworkInterfaceStructs.h"
#include "Parsers/GocadVoxetParser.hpp"

namespace GST
{
namespace ClientUtils
{

struct GridCrudeFeature : public CrudeFeature
{
	virtual std::string GetGeometry();
	virtual std::string GetPropertyVals();
	virtual std::string GetLockId();
	virtual TableAttributeValListPtr GetObjProperties();

	GridCrudeFeature();
	Parsers::GocadParser::VoxetMetaData voxetMetaData;
	std::vector<std::vector<unsigned char> > propertyDataFiles;
	std::vector<unsigned char> flagsDataFile;
};
typedef boost::shared_ptr<GridCrudeFeature> GridCrudeFeaturePtr;
} // namespace ClientUtils
} // namespace GST

#endif // GST_GridCrudeFeature_h__